Subject: Re: bug#46794: 28.0.50; octave-mode: parse error in debug mode

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 19 Jun 2022 16:01:57 +0200

Juang Dse <[email-masked]> writes:

> Suppose the file
> -------------------
> # hoo.m
> function hoo ()
>    for j = 1 : 10
>       y(j) = j ;
>    endfor
> endfunction
> -------------------
> is in the search path (e.g. same directory). Then execute
> dbstop hoo
> hoo() ;
>
> from within emacs (octave-send-line twice), and in the file hoo.m mark
> the region of the for-loop, followed by octave-send-region. The
> following error is thrown:
>
> debug> debug> debug>    for j = 1 : 10
>       y(j) = j ;
>    endfor
>
>> > debug> error: parse error:
>
>   syntax error
>
>>>>    endfor
>             ^

(I'm going through old bug reports that unfortunately weren't resolved
at the time.)

I'm not very familiar with Octave mode, but if I understand correctly,
the complaint here is that if you've entered debugging mode in the
inferior Octave buffer, then you can't use octave-send-region
successfully until you've exited debugging mode again?

I'm not sure whether that's as it should be or not -- anybody else
familiar with Octave?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no